# Interface for submodule: AnyEvent
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: AnyEvent
from ._proxies import AnyEventProxy as _AnyEventProxy
class _AnyEventTemplate(_itkTemplate):
    """Interface for instantiating itk::AnyEvent"""

    def __new__(cls, *args: Any) -> _AnyEventProxy:
        """Instantiate itk::AnyEvent"""
        ...

    def __call__(self, *args: Any) -> _AnyEventProxy:
        """Instantiate itk::AnyEvent"""
        ...

AnyEvent = _AnyEventTemplate

